Bug 250296 - Package should compiled with -fPIC
Summary: Package should compiled with -fPIC
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libnet   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-31 17:06 UTC by Jochen Schmitt
Modified: 2007-12-03 11:43 UTC (History)
1 user (show)

Fixed In Version: 1.1.2.1-11.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 11:43:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log of libnet (80.94 KB, text/plain)
2007-07-31 17:06 UTC, Jochen Schmitt
no flags Details

Description Jochen Schmitt 2007-07-31 17:06:16 UTC
During compiling of libnids I have got the following error message:

make[1]: Leaving directory `/home/s4504kr/redhat/BUILD/libnids-1.22/src'
gcc -shared -Wl,-soname,libnids.so.1.21 -o libnids.so.1.21 checksum_pic.o
ip_fragment_pic.o ip_options_pic.o killtcp_pic.o libnids_pic.o scan_pic.o
tcp_pic.o util_pic.o allpromisc_pic.o hash_pic.o -lgthread-2.0 -lnsl  -lglib-2.0
  -pthread -lgthread-2.0 -lrt -lglib-2.0   -lnet -L/usr/lib64 -lpcap
/usr/bin/ld: /usr/lib64/libnet.a(libnet_build_ip.o): relocation R_X86_64_32
against `a local symbol' can not be used when making a shared object; recompile
with -fPIC
/usr/lib64/libnet.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[1]: *** [libnids.so.1.21] Error 1

Whe I try to build libnet from cvs (devel) I saw, that the -fPIC compiler option
was not used.

Shared libraries should compiled with this option

Comment 1 Jochen Schmitt 2007-07-31 17:06:17 UTC
Created attachment 160341 [details]
build log of libnet

Comment 2 Fedora Update System 2007-11-29 01:37:41 UTC
libnet-1.1.2.1-11.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libnet'

Comment 3 Fedora Update System 2007-12-03 11:43:40 UTC
libnet-1.1.2.1-11.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.